﻿    @using PROJETMODELE.Models.BML.TG
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());

    Layout = null;
    //id = 0 => Régulation liquide
    //id = 1 => Régulation emballage
    
    int type = int.Parse(TempData["type"].ToString());
}

<script>
    // handle context menu clicks.
    @if(type == 0)
    {
        { WriteLiteral("var documentName = ['id:id:string', 'NUM_DOC:N&deg; Régulation:string:10%', 'Date:Date:date:10%', 'Element:Produit:stringdrop:20%', 'Quantite_Casier:Casier:number:10%','Quantite_Bouteille:Bouteille:number:10%', 'Motif:Motif:string:10%', 'Utilisateur:Enregistrer Par:stringdrop:13%', 'Statut:Statut:stringdrop:14.3%'];"); }
    }
    else
    {
        { WriteLiteral("var documentName = ['id:id:string', 'NUM_DOC:N&deg; Régulation:string:10%', 'Date:Date:date:10%', 'Element:Emballage:stringdrop:12%', 'Quantite_Casier:Casier:number:8%','Quantite_Plastique:Plastique:number:8%','Quantite_Bouteille:Bouteille:number:8%', 'Motif:Motif:string:15%', 'Utilisateur:Enregistrer Par:stringdrop:12%', 'Statut:Statut:stringdrop:14.3%'];"); }
    }
      
</script> 


<input id="ajoutUrl" value="/Regulation_Stock/ajouter/@TempData["type"]" type="hidden" />
<input id="LoardUrl" value="/Regulation_Stock/ajax/@TempData["type"]" type="hidden" />

<input id="consulterUrl" value="/Regulation_Stock/Consulter/" type="hidden" />

<script  src="~/Scripts/IndexJS.js"></script>
 <div id="messages">
    <div>
        Confirmation
    </div>
    <div class="cont">
            <br />
        <div> 
            Sélectionnez un seul enrégistrement !
        </div>   
    </div>
</div>
  <div id="confirm">
        <div>
            Confirmation
        </div>
    <div class="cont">
            <br />
        <div> 
            Voulez-vous confirmer cette action ?
        </div>   
        <div class="boutons">
                <br />
                  <button title="OK"  type="button" id="ok" class="btn btn-default oufbutton"><i class="ouf-ok"></i> OK</button>
          <button title="Annuler"  type="button" id="annuler" class="btn btn-default oufbutton"><i class="ouf-cancel"></i> Annuler</button>
        </div>
    </div>
</div> 

<span style="font-weight:bold"></span>
<div class="boutons">
    <table>
        <tr>
            <td>@Html.Partial("Filtre")</td>
           <td>
                @if ((type == 0 && cmd.Contains("Ajouter_regulations_stock_liquide")) || (type == 1 && cmd.Contains("Ajouter_regulations_stock_emballage")))
                {
                    <button title='Ajouter' id='ajout' class='btn btn-default oufbutton SansIdentifiant'><i class='ouf-add'></i>Ajouter</button>    
                }
            </td>
            <td>
                 @if (true)
                {
        <button title="Consulter" id="consulter" class="btn btn-default oufbutton AvecIdentifiant"><i class="ouf-consult"></i>Consulter</button>
                
    }
            </td>
        </tr>
    </table>
     
    
   
 </div>
  <div  id="grades"></div>
  <div id='Menu'>
        <ul>
        @if (true)//(cmd.Contains("Modifier_Centre"))
        {
           <li><i class='ouf-consult'></i> Consulter</li>
        }
       
        </ul>
   </div>

